package com.maintain.business.service;

import com.maintain.business.domain.vo.ErpGroupVo;
import com.maintain.business.domain.bo.ErpGroupBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 维修站点-站点-班组Service接口
 *
 * @author liushuai
 * @date 2025-03-25
 */
public interface IErpGroupService {

    /**
     * 查询维修站点-站点-班组
     */
    ErpGroupVo queryById(Long id);

    /**
     * 查询维修站点-站点-班组列表
     */
    TableDataInfo<ErpGroupVo> queryPageList(ErpGroupBo bo, PageQuery pageQuery);

    /**
     * 查询维修站点-站点-班组列表
     */
    List<ErpGroupVo> queryList(ErpGroupBo bo);

    /**
     * 新增维修站点-站点-班组
     */
    Boolean insertByBo(ErpGroupBo bo);

    /**
     * 修改维修站点-站点-班组
     */
    Boolean updateByBo(ErpGroupBo bo);

    /**
     * 校验并批量删除维修站点-站点-班组信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
